#!/bin/sh -x

BASE=`pwd`
INSTALL_PREFIX=$BASE/installed

# Installer Patches

######### 

# Downloading, patching, and installing

if [ ! -d edtk-1.5 ]; then
  wget -nc http://www.snookles.com/erlang/edtk/edtk-1.5.1.tar.gz
  tar xfvzp edtk-1.5.1.tar.gz
  pushd edtk-1.5
  cat $BASE/patches/edtk/*.patch |patch -p1
  popd
fi

if [ ! -d sfl ]; then 
  wget -nc http://www.imatix.com/pub/sfl/src/sflsrc21.tgz 
  mkdir sfl; pushd sfl 
  tar xfvzp ../sflsrc21.tgz 
  cat $BASE/patches/sfl/*.patch |patch -p0
  chmod a+rx c build 
  export PATH=$PATH:`pwd`
  ./build 
  popd
fi

if [ ! -d gslgen ]; then
  wget -nc http://www.imatix.com/pub/tools/gslsrc20.zip 
  mkdir gslgen; pushd gslgen 
  unzip -a ../gslsrc20.zip 
  cd src 
  cat $BASE/patches/gsl/*.patch |patch -p0
  chmod a+rx c build 
  cp ../../sfl/*.h . 
  cp ../../sfl/*.a . 
  ./build 
  popd
fi

if [ ! -d pcre-7.1 ]; then
  wget -nc ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-7.1.tar.bz2
  tar xfvjp pcre-7.1.tar.bz2
  pushd pcre-7.1
  ./configure --prefix=$INSTALL_PREFIX
  make 2>&1 | tee make.out
  make install 2>&1 | tee make-install.out
  popd
fi

if [ ! -d coredumper-1.1 ]; then
  wget -nc http://google-coredumper.googlecode.com/files/coredumper-1.1.tar.gz
  tar xfvzp coredumper-1.1.tar.gz
  pushd coredumper-1.1
  ./configure --prefix=$INSTALL_PREFIX
  make 2>&1 | tee make.out
  make install 2>&1 | tee make-install.out
  popd
fi


if [ ! -d db-4.5.20 ]; then
  wget -nc http://download.oracle.com/berkeley-db/db-4.5.20.tar.gz
  tar xfvzp db-4.5.20.tar.gz
  pushd db-4.5.20
  $BASE/edtk-1.5/examples/berkeley_db/patches-to-berkeley-db/db-4.5.20/apply-patches.sh
  cd build_unix
  ../dist/configure --enable-debug --prefix=$INSTALL_PREFIX/BerkeleyDB.4.5
  make
  make install
  popd
fi

if [ -d edtk-1.5 ]; then
  pushd $BASE/edtk-1.5/examples/berkeley_db
  pushd ../../edtk; make clean; make; popd; make clean; make
  pushd releases/
  rm -rf berkeley_db-1.0
  ./make_release.sh berkeley_db-1.0
  popd 
  rm regression.out; make regression 2>&1 | tee regression.out
  popd
fi

